Package wx :: Package lib :: Package floatcanvas :: Module GUIMode :: Class GUIMove

[frames | no frames]

## Type GUIMove

    object --+
             |
       GUIBase --+
                 |
                GUIMove

Method Summary
| `__init__(self, canvas)`
| `MoveImage(self, event)`
| `OnLeftDown(self, event)`
| `OnLeftUp(self, event)`
| `OnMove(self, event)`
| `OnMoveTimer(self, event)`
| ``OnWheel`(self, event)` By default, zoom in/out by a 0.1 factor per Wheel event.
| ``UpdateScreen`(self)` Update gets called if the screen has been repainted in the middle of a zoom in so the Rubber Band Box can get updated.

Class Variable Summary

Method Details

### OnWheel(self, event)

By default, zoom in/out by a 0.1 factor per Wheel event.

  Overrides:
    `wx.lib.floatcanvas.GUIMode.GUIBase.OnWheel`

### UpdateScreen(self)

Update gets called if the screen has been repainted in the middle of a zoom in so the Rubber Band Box can get updated. Other GUIModes may require something similar

  Overrides:
    `wx.lib.floatcanvas.GUIMode.GUIBase.UpdateScreen` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:39 2009 | http://epydoc.sf.net